diff -r f6ef988fda71 trytond/error.py
--- a/trytond/error.py	Fri Sep 21 16:04:02 2012 +0200
+++ b/trytond/error.py	Sun Sep 23 17:30:03 2012 +0200
@@ -7,7 +7,8 @@
 
 class WarningErrorMixin(object):
 
-    def raise_user_error(self, error, error_args=None,
+    @classmethod
+    def raise_user_error(cls, error, error_args=None,
             error_description='', error_description_args=None,
             raise_exception=True):
         '''
@@ -26,14 +27,14 @@
             (or tuple if error_description is not empty) instead of raising an
             exception.
         '''
-        translation_obj = Pool().get('ir.translation')
+        Translation = Pool().get('ir.translation')
 
-        error = self._error_messages.get(error, error)
+        error = cls._error_messages.get(error, error)
 
         language = Transaction().language
-        res = translation_obj.get_source(self._name, 'error', language, error)
+        res = Translation.get_source(cls.__name__, 'error', language, error)
         if not res:
-            res = translation_obj.get_source(error, 'error', language)
+            res = Translation.get_source(error, 'error', language)
         if res:
             error = res
 
@@ -44,13 +45,13 @@
                 pass
 
         if error_description:
-            error_description = self._error_messages.get(error_description,
+            error_description = cls._error_messages.get(error_description,
                     error_description)
 
-            res = translation_obj.get_source(self._name, 'error', language,
-                    error_description)
+            res = Translation.get_source(cls.__name__, 'error', language,
+                error_description)
             if not res:
-                res = translation_obj.get_source(error_description, 'error',
+                res = Translation.get_source(error_description, 'error',
                     language)
             if res:
                 error_description = res
@@ -70,7 +71,8 @@
         else:
             return error
 
-    def raise_user_warning(self, warning_name, warning,
+    @classmethod
+    def raise_user_warning(cls, warning_name, warning,
             warning_args=None, warning_description='',
             warning_description_args=None):
         '''
@@ -87,16 +89,16 @@
         :param warning_description_args: the arguments that will be used
             for "%"-based substitution
         '''
-        warning_obj = Pool().get('res.user.warning')
-        if warning_obj.check(warning_name):
+        Warning_ = Pool().get('res.user.warning')
+        if Warning_.check(warning_name):
             if warning_description:
-                warning, warning_description = self.raise_user_error(warning,
+                warning, warning_description = cls.raise_user_error(warning,
                         error_args=warning_args,
                         error_description=warning_description,
                         error_description_args=warning_description_args,
                         raise_exception=False)
                 raise UserWarning(warning_name, warning, warning_description)
             else:
-                warning = self.raise_user_error(warning,
+                warning = cls.raise_user_error(warning,
                         error_args=warning_args, raise_exception=False)
                 raise UserWarning(warning_name, warning)
diff -r f6ef988fda71 trytond/ir/__init__.py
--- a/trytond/ir/__init__.py	Fri Sep 21 16:04:02 2012 +0200
+++ b/trytond/ir/__init__.py	Sun Sep 23 17:30:03 2012 +0200
@@ -1,8 +1,11 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
+from ..pool import Pool
 from .translation import *
 from .sequence import *
-from . import ui
+from .ui.menu import *
+from .ui.view import *
+from .ui.icon import *
 from .property import *
 from .action import *
 from .model import *
@@ -11,8 +14,81 @@
 from .lang import *
 from .export import *
 from .rule import *
-from . import module
+from .module import *
 from .cache import *
 from .date import *
 from .trigger import *
 from .session import *
+
+
+def register():
+    Pool.register(
+        Translation,
+        ReportTranslationSetStart,
+        ReportTranslationSetSucceed,
+        TranslationCleanStart,
+        TranslationCleanSucceed,
+        TranslationUpdateStart,
+        TranslationExportStart,
+        TranslationExportResult,
+        SequenceType,
+        Sequence,
+        SequenceStrict,
+        UIMenu,
+        View,
+        ShowViewStart,
+        ViewShortcut,
+        ViewTreeWidth,
+        ViewTreeExpandedState,
+        Icon,
+        Property,
+        Action,
+        ActionKeyword,
+        ActionReport,
+        ActionActWindow,
+        ActionActWindowView,
+        ActionWizard,
+        ActionURL,
+        Model,
+        ModelField,
+        ModelAccess,
+        ModelFieldAccess,
+        ModelButton,
+        ModelData,
+        PrintModelGraphStart,
+        Attachment,
+        Cron,
+        Lang,
+        Export,
+        ExportLine,
+        RuleGroup,
+        Rule,
+        Module,
+        ModuleDependency,
+        ModuleConfigWizardItem,
+        ModuleConfigWizardFirst,
+        ModuleConfigWizardOther,
+        ModuleInstallUpgradeStart,
+        ModuleInstallUpgradeDone,
+        Cache,
+        Date,
+        Trigger,
+        TriggerLog,
+        Session,
+        SessionWizard,
+        module='ir', type_='model')
+    Pool.register(
+        ReportTranslationSet,
+        TranslationClean,
+        TranslationUpdate,
+        TranslationExport,
+        OpenShortcut,
+        ShowView,
+        PrintModelGraph,
+        ModuleConfigWizard,
+        ModuleInstallUpgrade,
+        ModuleConfig,
+        module='ir', type_='wizard')
+    Pool.register(
+        ModelGraph,
+        module='ir', type_='report')
